Skip to navigation

Override Data Classes

Manually sets a resource’s data classes, overriding auto-classification.

You can revert to auto-classification of data classes by calling Remove Data Classes Override for the same resource.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the resource is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned ID of the resource to override.

Request

This endpoint expects an object.
dataClasseslist of stringsOptional
List of data classes to set.

Response

Data classes overridden.
dataClasseslist of stringsOptional
List of data classes that were overridden.

Errors

404
Not Found Error